%%Barbara image
% Im=imread('barbara_vyrez.png');
% 
% resultsPSNR1=zeros(35,4,7);
% resultsSSIM1=zeros(35,4,7);
% 
% for length=1:35
%     for direction=1:4
%         for patchSize=1:4
% 
% [reconstr,obj1,obj2]=extrapolation(Im,length+4,direction,patchSize+6);
% resultsPSNR1(length,direction,patchSize)=obj1;
% resultsSSIM1(length,direction,patchSize)=obj2;
%         end
%     end
% end

%% Peppers
Im=imread('peppers256.png');

resultsPSNR2=zeros(35,4,7);
resultsSSIM2=zeros(35,4,7);

for length=1:35
    for direction=1:4
        parfor patchSize=1:7

[reconstr,obj1,obj2]=extrapolation(Im,length+4,direction,patchSize+6);
resultsPSNR2(length,direction,patchSize)=obj1;
resultsSSIM2(length,direction,patchSize)=obj2;
        end
    end
end